#
# spec file for package reiserfs (Version 3.x.0k_pre9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         reiserfs
Version:      3.x.0k_pre9
Release:      43
Summary:      reiserfs utilities
Copyright:   Hans Reiser
Group:       System Environment/Base
Autoreqprov: on
Source:  mirror/misc/reiserfs/reiserfsprogs/pre/reiserfsprogs-3.x.0k-pre9.tar.gz
Patch:   ftp.suse.com/pub/people/jeffm/reiserfs/endian-safe-reiserfsprogs-for-3.x.0k-pre9.patch
Patch1:  debugreiserfs-exit-2.diff
Patch2:  mkreiserfs-version.diff
Patch3:  mkreiserfs-cleanup.diff
Patch4:  mkreiserfs-bigmem.diff
Patch5:	 resize_reiserfs-bitmap.diff
Patch6:	 resizer_dirty.diff
Patch7:	 prints-nr.diff 
BuildRoot:    %{_tmppath}/root-%{name}

%description
 reiserfs utilities: making the file system (mkreiserfs), checking for
consistency (reiserfsck), and resizing (resize_reiserfs)

SuSE series: a

%prep
%setup -n reiserfsprogs-3.x.0k-pre9
%patch -p1
%patch1 -p1
%ifnarch sparc sparc64 ppc ppc64
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
./configure --mandir=%{_mandir}
make

%install
install	-d	${RPM_BUILD_ROOT}/sbin
make DESTDIR=${RPM_BUILD_ROOT} install
strip ${RPM_BUILD_ROOT}/sbin/debugreiserfs
strip ${RPM_BUILD_ROOT}/sbin/mkreiserfs
strip ${RPM_BUILD_ROOT}/sbin/reiserfsck
strip ${RPM_BUILD_ROOT}/sbin/resize_reiserfs
strip ${RPM_BUILD_ROOT}/sbin/unpack
cd ${RPM_BUILD_ROOT}/sbin ; ln -sf reiserfsck fsck.reiserfs

%files
/sbin/debugreiserfs
/sbin/mkreiserfs
/sbin/reiserfsck
/sbin/resize_reiserfs
/sbin/unpack
/sbin/fsck.reiserfs
%doc %{_mandir}/man8/mkreiserfs.8.gz
%doc %{_mandir}/man8/reiserfsck.8.gz
%doc %{_mandir}/man8/debugreiserfs.8.gz
%doc %{_mandir}/man8/resize_reiserfs.8.gz

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%changelog -n reiserfs
* Fri Sep 21 2001 - fehr@suse.de
- add patches resizer_dirty.diff and prints-nr.diff from Chris Mason
  to package
* Thu Sep 20 2001 - kukuk@suse.de
- Make default version 3.6.x on PPC, too.
* Fri Sep 14 2001 - mge@suse.de
- introduced BuildRoot into the SPEC-file
- added %%clean section
- added patch5: "resize_reiserfs-bitmap.diff" by Chris Mason
  to make resize_reiserfs work
* Mon Sep 10 2001 - olh@suse.de
- remove mkreiserfs-mmap-die.diff
  add mkreiserfs-bigmem.diff from jeffm
  allows to run the tools on machines with a lot of ram
* Thu Sep 06 2001 - kukuk@suse.de
- Make default version 3.6.x on SPARC (3.5 does not work on
  bigendian)
* Wed Aug 29 2001 - olh@suse.de
- add mkreiserfs-mmap-die.diff, score goes to jeffm
* Tue Aug 28 2001 - fehr@suse.de
- add 3 patches from Chris Mason
- default version still 3.5.x.,
- exit code of debugreiserfs meaningful
- mkreiserfs understands option -q
* Sat Jul 21 2001 - kukuk@suse.de
- Update to 3.x.0k-pre9 with endian-save patch from jeffm
* Wed Jun 27 2001 - bk@suse.de
- update to 3.x.0k-pre8 with endian-safe pre8-patch from jeffm
- cleaned up obsolete neededforbuild
* Wed May 02 2001 - schwab@suse.de
- Use proper largefile access instead of stupid hardcoded syscall.
- Fix missing declarations.
- Fix missing casts.
* Thu Apr 26 2001 - mantel@suse.de
- do not return success when used on a non-reiserfs partition
* Thu Apr 26 2001 - mantel@suse.de
- added link fsck.reiserfs -> reiserfsck
* Tue Apr 24 2001 - mantel@suse.de
- update to reiserfsprogs-3.x.0j
* Thu Feb 22 2001 - ro@suse.de
- use kernel include dir
* Sat Jan 20 2001 - mantel@suse.de
- update to 3.5.29
* Fri Dec 15 2000 - mantel@suse.de
- up to 3.5.28
* Wed Nov 15 2000 - kukuk@suse.de
- compile against kernel 2.2.x
* Wed Oct 25 2000 - mantel@suse.de
- up to 3.5.27
* Wed Aug 02 2000 - mantel@suse.de
- install man page for reiserfsck
* Sat Jul 15 2000 - mantel@suse.de
- added z-free_thrown.diff
* Tue Jul 11 2000 - mantel@suse.de
- update to 3.5.23
* Mon Jun 19 2000 - ro@suse.de
- fixed makefiles
* Sat Jun 17 2000 - mantel@suse.de
- up to 3.5.22
* Fri Jun 09 2000 - ro@suse.de
- up to 3.5.21
* Tue Mar 21 2000 - ro@suse.de
- removed fsck.reiserfs (doesn't work)
* Fri Mar 17 2000 - ro@suse.de
- fixed filelist: added reiserfsck
* Thu Mar 02 2000 - ro@suse.de
- up to 3.5.18
* Tue Feb 08 2000 - ro@suse.de
- update to 3.5.17pre2
* Tue Jan 25 2000 - ro@suse.de
- fixed typo in makefile
* Mon Jan 10 2000 - ro@suse.de
- added unpackreiserfs and dumpreiserfs to filelist
* Mon Jan 10 2000 - ro@suse.de
- update to 3.5.14
* Fri Dec 10 1999 - ro@suse.de
- fixed Makefile
* Thu Dec 02 1999 - bs@suse.de
- fixed .changes
* Thu Dec 02 1999 - bs@suse.de
- update to 3.5.12
* Tue Nov 16 1999 - choeger@suse.de
- new version, 3.5.7 incl. journaling
* Wed Oct 27 1999 - uli@suse.de
- new package
